Static deposits

Create identity

Use this method to submit static deposit identity creation form.

POST
/api/v2/my/static-deposit/identities

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/static-deposit/identities" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "id": "36f59381-5b54-48bd-a0c7-3b908c476732",    "formId": "36f59381-5b54-48bd-a0c7-3b908c476732",    "methodId": 1,    "accountId": 1,    "currencyCode": 2005,    "encryptedInput": "{\\"name\\": [\\"Eric\\"], \\"email\\": [\\"eric@gmail.com\\"]}"  }'
{  "driver": {    "id": "36f59381-5b54-48bd-a0c7-3b908c476732",    "name": "static_deposit_qa"  },  "result": {    "id": "36f59381-5b54-48bd-a0c7-3b908c476732",    "name": "USDT TRC20",    "status": "active",    "action": null,    "restrictions": {      "min": "10",      "max": "100000"    },    "commission": null  }}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}